Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalLabelUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.LabelUI
              javax.swing.plaf.basic.BasicLabelUI
                  javax.swing.plaf.metal.MetalLabelUI

All Implemented Interfaces:
  PropertyChangeListener, EventListener

    public class MetalLabelUI

extends BasicLabelUI

A Windows L&F implementation of LabelUI. This implementation is completely static, i.e. there's only one UIView implementation that's shared by all JLabel objects.

Field Summary
`protected static MetalLabelUI` | `metalLabelUI`

Fields inherited from class javax.swing.plaf.basic.BasicLabelUI
`labelUI`

Constructor Summary
`MetalLabelUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`protected void` | `paintDisabledText(JLabel l, Graphics g, String s, int textX, int textY)` Just paint the text gray (Label.disabledForeground) rather than in the labels foreground color.

Methods inherited from class javax.swing.plaf.basic.BasicLabelUI
`getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, layoutCL, paint, paintEnabledText, propertyChange, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### metalLabelUI

    protected static MetalLabelUI metalLabelUI

Constructor Detail

### MetalLabelUI

    public MetalLabelUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### paintDisabledText

    protected void paintDisabledText(JLabel l,
                                     Graphics g,
                                     String s,
                                     int textX,
                                     int textY)

  Just paint the text gray (Label.disabledForeground) rather than in the labels foreground color.

  Overrides:
    `paintDisabledText` in class `BasicLabelUI`
  See Also:
    `BasicLabelUI.paint(java.awt.Graphics, javax.swing.JComponent)`, `BasicLabelUI.paintEnabledText(javax.swing.JLabel, java.awt.Graphics, java.lang.String, int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.